#! usr/bin/python
# -*- coding: ISO-8859-1 -*-

import numpy as np
import cv2 as cv


def drawTriangulation (img, kp, triangle_list):
    """
    Dessine une triangulation de KeyPoint, selon une liste de triangles donnee en parametre,
    sur une image specifique donnee en parametre
    """
    for triangle in triangle_list.simplices:
        p1 = tuple(kp[triangle[0]]); p2 = tuple(kp[triangle[1]]); p3 = tuple(kp[triangle[2]])
        cv.line(img, p1, p2, (255,255,255))
        cv.line(img, p2, p3, (255,255,255))
        cv.line(img, p3, p1, (255,255,255))
